// Project 1: LED
#include <ESP8266WiFi.h>
#include <ESP8266WebServer.h>

const char* ssid = "SSID";
const char* password = "WACHTWOORD";
const int ingebouwde_led = 2; // GPIO2

int waarde_led = HIGH; // De ingebouwde led is active-low: HIGH betekent uitgeschakeld.

ESP8266WebServer server(80);

void handleRoot() {

  Serial.println("Client verbonden");

  if (server.arg("led")=="aan")  {
    digitalWrite(ingebouwde_led, LOW);
    waarde_led = LOW;
  } else if (server.arg("led")=="uit")  {
    digitalWrite(ingebouwde_led, HIGH);
    waarde_led = HIGH;
  }
 
  // Stuur een antwoord terug.
  String pagina = "<!DOCTYPE HTML>\n";
  pagina += "<html><head><meta name=\"viewport\" content=\"width=device-width, initial-scale=1\"></head><div style=\"text-align:center\"><h1>Zet de ingebouwde led aan en uit</h1>\n";

  if(waarde_led==HIGH)
    pagina += "<a href=\"/?led=aan\"><button>Zet led aan</button></a>\n";
  else if(waarde_led==LOW)
      pagina += "<a href=\"/?led=uit\"><button>Zet led uit</button></a>\n";

  pagina += "</div></html>\n";
  server.send(200, "text/html", pagina);
}

void setup() {
  Serial.begin(115200);

  pinMode(ingebouwde_led, OUTPUT);
  digitalWrite(ingebouwde_led, HIGH); // Schakel led uit
 
  // Verbind met WiFi-netwerk
  Serial.println();
  Serial.println();
  Serial.print("Verbind met ");
  Serial.println(ssid);

  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi verbonden");

  server.on("/", handleRoot);
 
  // Start de server
  server.begin();
  Serial.println("Server opgestart");
 
  // Toon het ip-adres
  Serial.print("Gebruik deze url om te verbinden: ");
  Serial.print("http://");
  Serial.print(WiFi.localIP());
  Serial.println("/");
 
}
 
void loop() {
  server.handleClient();
}
