// Project 10: Tv-simulator 

#include <Adafruit_NeoPixel.h>

#define PIN 4 // GPIO4 = D2
#define PIXELS 7 // 7 pixels op de NeoPixel jewel
#define HELDERHEID 64 // Waarde van 0 tot 255

Adafruit_NeoPixel pixels = Adafruit_NeoPixel(PIXELS, PIN, NEO_GRB + NEO_KHZ800);

void scene1() {
  // Geef de pixels allemaal een willekeurige kleur
  for(int pixel = 0; pixel < PIXELS; pixel++) {
    pixels.setPixelColor(pixel, pixels.Color(random(256), random(256), random(256)));
  }
  pixels.show();

  // Pauzeer tussen een halve seconde en twee seconden
  delay(random(500,2000));
}

void scene2() {
  // Maak de pixels allemaal wit, van zacht tot intens
  int vertraging = random(10, 50);
  for(int i = 0; i < 255; i++) {
    for(int pixel = 0; pixel < PIXELS; pixel++) {
       pixels.setPixelColor(pixel, pixels.Color(i, i, i));
     }
     pixels.show();
     delay(vertraging);
  }
}

void scene3() {
  // Schakel leds even uit...
  pixels.setBrightness(0);
  pixels.show();
  delay(random(1000, 3000));
  // ... en terug aan!
  pixels.setBrightness(HELDERHEID);
  pixels.show();
}

void scene4() {
  uint32_t kleur[PIXELS];
  // Sla de huidige kleuren van de pixels op
  for(int pixel = 0; pixel < PIXELS; pixel++) {
    kleur[pixel] = pixels.getPixelColor(pixel);
  }

  // Laat de leds flikkeren
  int flikkeringen = random(30);
  for(int i = 0; i < flikkeringen; i++) {
    for(int pixel = 0; pixel < PIXELS; pixel++) {
      pixels.setPixelColor(pixel, pixels.Color(128, 128, 128));
    }
    pixels.show();
    delay(random(50,300));
    for(int pixel = 0; pixel < PIXELS; pixel++) {
      pixels.setPixelColor(pixel, kleur[pixel]);
    }
    pixels.show();
    delay(random(50,300));
  }
}

void setup() {

  pixels.begin();
  pixels.setBrightness(HELDERHEID);
  pixels.show();

  randomSeed(analogRead(0));

}

void loop() {

  int keren = random(10);
  for(int i = 0; i < keren; i++) {
    scene1();
  }
  switch(random(4)) {
    case 0:
      break;
    case 1:
      scene2();
      break;
    case 2:
      scene3();
      break;
    case 3:
      scene4();
      break;
  }

}
