// Project 6: Lekkagemelder 
#include <ESP8266WiFi.h>
#include "sendemail.h"

const char* ssid = "SSID";
const char* password = "WACHTWOORD";
const int puls = 5; // D1
const int sensor = 0; // A0
const int grenswaarde = 100; // Boven deze meetwaarde is het te nat.
const int wachttijd = 1000; // 1 seconde

const String server_host = "SMTP-SERVER";
const int server_port = 25;
const String server_login = "";
const String server_password = "";
const int server_timeout = 5000;
const bool server_ssl = false;

SendEmail email(server_host, server_port, server_login, server_password, server_timeout, server_ssl);

const String mail_from = "MAIL_VAN";
const String mail_to = "MAIL_NAAR";
const String mail_subject = "Lek!";
const String mail_message = "Lek gedetecteerd";

bool lek;

void setup() {
  Serial.begin(115200);

  pinMode(puls, OUTPUT);
  digitalWrite(puls, LOW);
  lek = false;

  // Verbind met WiFi-netwerk
  Serial.println();
  Serial.println();
  Serial.print("Verbind met ");
  Serial.println(ssid);

  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi verbonden");
  Serial.print("IP-adres: ");
  Serial.println(WiFi.localIP());
}
 
void loop() {

  digitalWrite(puls, HIGH);
  int meting = analogRead(sensor);
  digitalWrite(puls, LOW);
  Serial.println(meting);

  if(meting >= grenswaarde && !lek) {
    lek = true;
    if(!email.send(mail_from, mail_to, mail_subject, mail_message))
      Serial.println("Fout bij verzenden e-mail");
  }
  
  delay(wachttijd);

}
