// Project 7: Noodknop 
#include <ESP8266WiFi.h>
#include "sendemail.h"

const char* ssid = "SSID";
const char* password = "WACHTWOORD";

const int ledPin = 5; // D1
const int knopPin = 4; // D2
const int piezoPin = 14; // D5
const int wachttijd = 5000; // 5 seconden
const int toonhoog = 2000; // 2 kHz
const int toonlaag = 500; // 500 Hz

const String server_host = "SMTP-SERVER";
const int server_port = 25;
const String server_login = "";
const String server_password = "";
const int server_timeout = 5000;
const bool server_ssl = false;

SendEmail email(server_host, server_port, server_login, server_password, server_timeout, server_ssl);

const String mail_from = "MAIL_VAN";
const String mail_to = "MAIL_NAAR";
const String mail_subject = "Alarm!";
const String mail_message = "De noodknop is ingedrukt";

void setup() {
  Serial.begin(115200);

  pinMode(ledPin, OUTPUT);
  pinMode(piezoPin, OUTPUT);
  pinMode(knopPin, INPUT);

  // Verbind met WiFi-netwerk
  Serial.println();
  Serial.println();
  Serial.print("Verbind met ");
  Serial.println(ssid);

  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi verbonden");
  Serial.print("IP-adres: ");
  Serial.println(WiFi.localIP());
}
 
void loop() {

  int knop = digitalRead(knopPin);

  if(knop == HIGH) {
    
    digitalWrite(ledPin, HIGH);
    tone(piezoPin, toonhoog);

    if(!email.send(mail_from, mail_to, mail_subject, mail_message)) {
      Serial.println("Fout bij verzenden e-mail");
      tone(piezoPin, toonlaag);
      for(int i = 0; i < 10; i++) {
        digitalWrite(ledPin, HIGH);
        delay(250);
        digitalWrite(ledPin, LOW);
        delay(250);
      }
        
    } else {
      delay(wachttijd);
      digitalWrite(ledPin, LOW);
    }
  
    noTone(piezoPin);

  }
  
}
