// Project 9: Potplantbegieter
#include <ESP8266WiFi.h>
#include "sendemail.h"

const char* ssid = "SSID";
const char* password = "WACHTWOORD";
const int relais = 4; // D2 = GPIO4
const int puls = 5; // D1 = GPIO5
const int sensor = 0; // A0
const int grenswaarde = 250; // Onder deze meetwaarde is de grond te droog.
const int wachttijd = 60000; // We wachten 1 minuut tussen elke meting.
const int bewateringstijd = 5000; // We schakelen het relais 5 seconden lang in bij droogte.

const String server_host = "SMTP-SERVER";
const int server_port = 25;
const String server_login = "";
const String server_password = "";
const int server_timeout = 5000;
const bool server_ssl = false;

SendEmail email(server_host, server_port, server_login, server_password, server_timeout, server_ssl);

const String mail_from = "MAIL_VAN";
const String mail_to = "MAIL_NAAR";
const String mail_subject = "Plant staat te droog";
const String mail_message = "Plant staat te droog, hij heeft water gekregen";

void setup() {
  Serial.begin(115200);

  pinMode(relais, OUTPUT);
  digitalWrite(relais, HIGH); // Schakel relais uit (active low)

  pinMode(puls, OUTPUT);
  digitalWrite(puls, LOW);

  // Verbind met WiFi-netwerk
  Serial.println();
  Serial.println();
  Serial.print("Verbind met ");
  Serial.println(ssid);

  WiFi.begin(ssid, password);
 
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi verbonden");
  Serial.print("IP-adres: ");
  Serial.println(WiFi.localIP());
}
 
void loop() {
  digitalWrite(puls, HIGH);
  int meting = analogRead(sensor);
  digitalWrite(puls, LOW);
  Serial.println(meting);

  if(meting <= grenswaarde) {
    digitalWrite(relais, LOW); // Schakel relais in (active low)
    delay(bewateringstijd);
    digitalWrite(relais, HIGH); // Schakel relais uit (active low)

    if(!email.send(mail_from, mail_to, mail_subject, mail_message))
      Serial.println("Fout bij verzenden e-mail");
  }
  
  delay(wachttijd);
}
